%define version 2.64.0

%define pkgname	glibmm
%define api_version 2.4
%define major 1
%define libname_orig %mklibname %{pkgname} %{api_version}
%define libname %mklibname %{pkgname} %{api_version} %{major}
%define libnamedev %mklibname -d %{pkgname} %{api_version}
%define libnamestaticdev %mklibname -s -d %{pkgname} %{api_version}


Name:		%{pkgname}%{api_version}
Summary:	C++ interface for glib
Version:	2.66.1
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://gtkmm.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.xz
BuildRequires:	glib2-devel
BuildRequires:	libsigc++2.0-devel
BuildRequires:	doxygen
BuildRequires:	libxslt-proc
BuildRequires:	mm-common
Obsoletes: 	%{name} < %version


%description
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{pkgname} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

%package	-n %{libname}
Summary:	C++ interface for glib
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}
Provides:	%{pkgname}%{api_version} = %{version}-%{release}

%description	-n %{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{pkgname} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

This package contains the library needed to run programs dynamically
linked with %{pkgname}.


%package	-n %{libnamedev}
Summary:	Headers and development files of %{pkgname}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Obsoletes:  %mklibname -d %{pkgname} %{api_version} 1
Obsoletes:  lib64glibmm2.4-static-devel

%description	-n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{pkgname}.

%package	doc
Summary:	Glibmm documentation
Group:		Documentation
BuildArch:	noarch

%description	doc
Gtkmm provides a C++ interface to the GTK+ GUI library.
%{pkgname} originally belongs to gtkmm, but is now separated,
for use with non-GUI software written in C++.

This package contains all API documentation for %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%meson 
%meson_build

%install
%meson_install

#we don't want these
find %{buildroot} -name "*.la" -exec rm -rf {} \;


%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libglibmm*%{api_version}.so.%{major}*
%{_libdir}/libgiomm*%{api_version}.so.%{major}*

%files -n %{libnamedev}
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/giomm-%api_version
%{_libdir}/glibmm-%{api_version}
%{_libdir}/pkgconfig/*.pc


%files doc
%defattr(-, root, root)



%changelog
* Fri May 21 2021 tex - 2.66.1-1pclos2021
- new version

* Mon Mar 01 2021 tex - 2.66.0-1pclos2021
- new version

* Mon Nov 23 2020 tex - 2.64.4-1pclos2020
- new version

* Sun Mar 22 2020 tex - 2.64.2-1pclos2020
- new version

* Fri Mar 20 2020 tex - 2.64.1-1pclos2020
- new version

* Wed Mar 18 2020 tex - 2.64.0-1pclos2020
- new version

* Wed Sep 18 2019 tex - 2.62.0-1pclos2019
- new version 2.62.0
- disable static

* Fri Mar 01 2019 tex 2.58.0-1pclos2019
- new
